Quel paquet convient à mon ordinateur?

29

Je tourne sur Ubuntu 11.10 32 bits et je me demande quels logiciels je devrais télécharger. à savoir, RPM, DEB ou TAR GZ. J'ai rencontré le fait de devoir choisir parmi cette liste tout en essayant de télécharger avast! sécurité Internet et Adobe Flash Player.

    
posée George 08.04.2012 - 15:44
la source

6 réponses

28

Ubuntu (comme Debian, sur lequel repose Ubuntu ) utilise .deb packages. CEPENDANT, je ne recommande pas de télécharger les paquets et de les installer en dehors du Software Center si vous pouvez l’aider. Ubuntu Linux est différent de Windows ou Mac à cet égard. Vous pouvez utiliser le Centre logiciel Ubuntu pour rechercher et installer des packages ou des outils en ligne de commande tels que apt-cache et apt-get si vous vous sentez bien.

Par exemple, pour télécharger le lecteur Adobe Flash, installez-le via le logiciel Ubuntu . Vous pouvez également installer des extras restreints Ubuntu , qui installeront d’autres formats de médias propriétaires courants tels que MP3. bien.

Quant à Avast, il ne semble pas se trouver dans les référentiels, mais vous pourriez peut-être trouver une alternative appropriée, telle que ClamAV. Rappelez-vous également que la protection antivirus n'est généralement pas nécessaire sur un système Linux de la même manière que sur un système Windows. Je lance Clam sur des serveurs de fichiers et de messagerie Linux simplement pour empêcher les virus d'être transmis aux machines Windows susceptibles de se connecter.

J'espère que cela vous aidera.

    
réponse donnée Jayson Rowe 08.04.2012 - 15:56
la source
5

Ubuntu 11.10 et les autres distributions basées sur Debian fonctionnent mieux avec les fichiers DEB. Généralement, les fichiers TAR.GZ contiennent le code source du programme, vous devrez donc compiler le programme vous-même. Les fichiers RPM sont principalement utilisés dans les distributions Fedora / Red Hat.

Bien qu'il soit possible de convertir des paquets RPM en paquets DEB.

Remarque: assurez-vous de télécharger le package d’architecture correct pour votre système. i386 signifie généralement un système d'exploitation 32 bits, x86_64 signifie généralement un système d'exploitation 64 bits.

    
réponse donnée Eduard 08.04.2012 - 15:51
la source
3

D'abord, vérifiez toujours Ubuntu Software Center. Flash est disponible pour Ubuntu. Si vous avez vraiment besoin de la dernière version, vous avez besoin d'un deb . N'oubliez pas qu'il existe 32 et 64 versions d'architecture.

En ce qui concerne avast: si vous voulez qu’il recherche des fichiers virri et que vous n’utilisiez que Ubuntu ... oubliez ça. Pour le moment, vous ne pouvez l'utiliser que pour analyser le trafic entrant et sortant vers et depuis des machines Windows à l'intérieur de votre réseau. Avast n'est pas dans les référentiels, donc si vous pensez vraiment avoir besoin de ce téléchargement .

    
réponse donnée Rinzwind 08.04.2012 - 16:01
la source
3
Le fichier DEB sera le meilleur pour vous. C'est une version binaire et très facile à installer (Par un double clic). Il résoudra automatiquement les dépendances, le cas échéant. Si vous ne parvenez pas à trouver le fichier deb, vous devriez télécharger tar.gz qui est la version du code source (non compilé). Méthode générale pour compiler et installer la version tar.gz suit

1. Extract the tar.gz file
2. Open terminal the and : cd your_file_directory/Extracted_directory
3. ./configure
4. make
5. sudo make install

Le processus diffère d’une source à l’autre. La plupart des sources suivent cette voie. Pour vous assurer que le processus lit le fichier READ-ME fourni par le développeur (dans le répertoire extrait)

Premièrement, essayez de trouver vos paquets dans le centre logiciel qui est installé par défaut avec ubuntu.

    
réponse donnée shantanu 08.04.2012 - 15:57
la source
0

Les autres réponses sont largement correctes. Vous devez d'abord regarder dans le gestionnaire de paquets et, à défaut, utiliser un fichier .deb . .deb est le type de paquet par défaut pour les systèmes basés sur Debian comme Ubuntu, et il installera tous les fichiers au bon endroit, et vous ne devriez pas avoir de problèmes (à moins que le paquet ne soit obsolète). Notez que les fichiers .deb construits pour différentes distributions basées sur Debian sont légèrement différentes, mais fonctionnent normalement. Le seul problème que vous pouvez rencontrer est si certaines bibliothèques requises ne sont pas disponibles ou sont appelées des choses différentes. Si cela se produit, la meilleure chose à faire est de demander ici ou sur d’autres forums Ubuntu comment gérer ce problème spécifique.

Si les fichiers .deb ne sont pas disponibles, vous pouvez utiliser les fichiers .rpm sur un système basé sur Debian. Le moyen le plus fiable consiste à utiliser le package alien , disponible dans le gestionnaire de packages. Cela convertit essentiellement le fichier .rpm en un fichier .deb, en veillant à utiliser tous les chemins de fichiers corrects, puis en l'installant (éventuellement). Vous pouvez simplement lancer:

sudo alien --install /path/to/package.rpm

Si vous vous sentez aventureux, vous pouvez compiler à partir de sources en utilisant .tar.gz . Cette méthode est souvent sujette à des pannes agaçantes, telles que des bibliothèques manquantes, mais fonctionnera généralement si vous êtes persistant et utilisez des sources à jour. Si vous envisagez de suivre cette voie, vous pouvez aussi apprendre à utiliser git ou toute autre version contrôlez le système que vous souhaitez utiliser (en supposant qu'il soit open source), de sorte que vous puissiez obtenir la version la plus récente, avec des corrections de bogues (même si cela vous ouvre également la porte à de nouveaux bogues).

    
réponse donnée naught101 09.04.2012 - 04:31
la source
-1

Je pense que Linux n’a pas besoin d’antivirus, parce que lorsque vous voulez installer un logiciel, votre système d’information vous en informe et vous voulez obtenir un mot de passe administrateur, Linux a juste besoin de sauvegarde! vous pouvez convertir .rpm en .deb, mais pas recommandé et vous pouvez convertir .run sur .deb ... par cette action, vous pouvez télécharger tout ce que vous voulez

    
réponse donnée repozitor 08.04.2012 - 23:22
la source

Lire d'autres questions sur les étiquettes